import request from '@/utils/request'

// 查询车型定义列表
export function listType(query) {
  return request({
    url: '/document/type/list',
    method: 'get',
    params: query
  })
}

// 查询车型定义详细
export function getType(id) {
  return request({
    url: '/document/type/' + id,
    method: 'get'
  })
}

// 新增车型定义
export function addType(data) {
  return request({
    url: '/document/type',
    method: 'post',
    data: data
  })
}

// 修改车型定义
export function updateType(data) {
  return request({
    url: '/document/type',
    method: 'put',
    data: data
  })
}

// 删除车型定义
export function delType(id) {
  return request({
    url: '/document/type/' + id,
    method: 'delete'
  })
}
